// pages/address/address.js 
Page({ 
 
  /** 
   * 页面的初始数据 
   */ 
  data: { 
    name:'', 
    phone:'', 
    radio: true, 
    checked: true, 
    icon: { 
      normal: '/images/单选-选中.png', 
      active: '/../../images/单选-选中 (1).png', 
    }, 
  }, 
  onChange(event) { 
    this.setData({ 
      radio: event.detail, 
    }); 
  }, 
  // feild输入框 
  onChange(event) { 
    // event.detail 为当前输入的值 
    console.log(event.detail); 
    this.setData({ 
      radio: event.detail, 
    }); 
}, 
 
  onChange2({ detail }) { 
  // 需要手动对 checked 状态进行更新 
  this.setData({ checked: detail }); 
}, 
  /** 
   * 生命周期函数--监听页面加载 
   */ 
  onLoad(options) { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面初次渲染完成 
   */ 
  onReady() { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面显示 
   */ 
  onShow() { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面隐藏 
   */ 
  onHide() { 
 
  }, 
 
  /** 
   * 生命周期函数--监听页面卸载 
   */ 
  onUnload() { 
 
  }, 
 
  /** 
   * 页面相关事件处理函数--监听用户下拉动作 
   */ 
  onPullDownRefresh() { 
 
  }, 
 
  /** 
   * 页面上拉触底事件的处理函数 
   */ 
  onReachBottom() { 
 
  }, 
 
  /** 
   * 用户点击右上角分享 
   */ 
  onShareAppMessage() { 
 
  } 
})